<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag bill all billable deliverys and service lists for all customers
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	check_year_for_write('bills');

	pagepermission('bills', 'w');

	if (isset($_POST['submit']))	{

		load_c('SQL');

		$__SQL	= new SQL();

		load_m('bill2customers');

		$__BILL		=	new BILL2CUSTOMERS();		

		if ((isset($_POST['service_lists'])) && ($_POST['service_lists']))	$__BILL->bill_services();

		if ((isset($_POST['deliverys'])) && ($_POST['deliverys']))		$__BILL->bill_deliverys();
		
		if ((isset($_POST['only2companies'])) && ($_POST['only2companies'])) 	$__BILL->only2companies();

		$__BILL->bill2all();

		$RESULT 	=	$__BILL->create();

		$REPORT_MSG	=	$__BILL->getreport();

		unset($__BILL, $__SQL);
		
		$view	=	new View('billed2all');
		$view	->	assign('SELF', backward());

		if ($RESULT !== TRUE)	{

			$view	->	assign('LABEL', $__LANG->get('creatingbillfailed'));
			
		}	else	  {
		
			$view	->	assign('LABEL', $__LANG->get('createdbill2all'));
		}

		$view	->	assign('REPORT', $__LANG->get('report'));
		$view	->	assign('REPORT_MSG', $REPORT_MSG);
		$view	->	assign('OK', $__LANG->get('ok'));
		$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=bills');

		$view	->	display();
		
		exit;
	}


	# display form

	$view	=	new View('bill2all');

	$view	->	assign('SELF', backward());
	$view	->	assign('BILL_TO_ALL', $__LANG->get('bill2all'));
	$view	->	assign('BILL_SERVICE_LISTS', $__LANG->get('billservicelists'));
	$view	->	assign('BILL_DELIVERYS', $__LANG->get('billdeliverys'));
	$view	->	assign('ONLY2COMPANIES', $__LANG->get('only2companies'));
	$view	->	assign('BILL', $__LANG->get('bill'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=bills');
	
	$view	->	display();
?>
