<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag bonusdetails connected with salarys
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('salarys', 'r');

	load_c('SQL');

	$__SQL	= new SQL();

	load_c('BONUSLIST');
	
	$__BONUS	=	new BONUSLIST();

	$DATA		=	$__BONUS->createlist($_GET['id']);

	$table1		=	&$__BONUS->SERVICES_WITH_BONUS_TO_FINISHER;

	$table2		=	&$__BONUS->PRODUCTION_ORDERS_WITH_BONUS_TO_FINISHER;

	$table3		=	&$__BONUS->SERVICES_WITH_BONUS_TO_SELL;

	$table4		=	&$__BONUS->DELIVERYS_WITH_BONUS_TO_SELL;

	if (	(! $DATA) or 
		((! $table1) && (! $table2) && (! $table3) && (! $table4))	)	{

		unset($__BONUS, $__SQL);

		$view	=	new View('printqueryempty');
		$view	->	assign('MESSAGE', $__LANG->get('nobonusescalculated'));
		$view	->	display();
		exit;
	}

	$view	=	new View('bonusdetails');

	$view	->	assign('BONUS_DETAILS', $__LANG->get('bonusdetailsto'));
	$view	->	assign('SERVICES_WITH_BONUS_TO_PRODUCTION', $__LANG->get('services_with_bonus_pr'));
	$view	->	assign('ORDERS_WITH_BONUS_TO_PRODUCTION', $__LANG->get('prod_orders_with_bonus_pr'));
	$view	->	assign('SERVICES_WITH_BONUS_TO_SELL', $__LANG->get('services_with_bonus_s'));
	$view	->	assign('ORDERS_WITH_BONUS_TO_SELL', $__LANG->get('orders_with_bonus_s'));
	$view	->	assign('MONTH', $__LANG->get('month'));
	$view	->	assign('MONTHNAME', $__LANG->get('monthname'.$DATA['month']));
	$view	->	assign('DATA', $DATA);
	$view	->	assign('TABLE1', $table1);
	$view	->	assign('TABLE2', $table2);
	$view	->	assign('TABLE3', $table3);
	$view	->	assign('TABLE4', $table4); unset($__BONUS, $__SQL);

	$view	->	display();
	


?>
