<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag delivery change
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	 
	check_year_for_write('deliverys');

	pagepermission('deliverys', 'w');

	if (isset($_GET['id']))		{

		$DELIVERYID = $_SESSION['ID'] = $_GET['id'];

	}	else	  {

		$DELIVERYID = $_SESSION['ID'];
	}

	load_c('SQL');

	$__SQL 	= new SQL;

	if (isset($_POST['submitted']))	{

		load_m('deliverychange');
	
		$__DELIVERY	=	new DELIVERYCHANGE();

		$RESULT		=	$__DELIVERY->change($_POST);

		unset($__DELIVERY, $__SQL);

		if ($RESULT !== TRUE)	{

			$view	=	new View('errorbox');
			$view	->	assign('SELF', backward());
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $__LANG->get($RESULT));
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
		}

		$view	=	new View('sucessbox');
		$view	->	assign('SELF', backward());
		$view	->	assign('MESSAGE', $__LANG->get('deliverychanged', $DELIVERYID));
		$view	->	assign('OK', $__LANG->get('ok'));
		$view	->	assign('BACKTO', $_SESSION['FROM']);
		$view	->	display();
		exit;
	}

	load_m('deliveryread');

	$__DELIVERY	=	new DELIVERYREAD();

	$DELIVERYDATA	=	$__DELIVERY->read($DELIVERYID);

	unset($__DELIVERY, $__SQL);

	if (! $DELIVERYDATA) {$errtxt = 'unexistentdelivery';}
	
	if ($DELIVERYDATA['billed']) { $errtxt = 'billeddelivery'; }
	
	if (isset($errtxt))	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get($errtxt));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}
	
	$view	=	new View('deliverychange');

	$view	->	assign('SELF', backward());
	$view	->	assign('DELIVERYCHANGE', $__LANG->get('deliverychange', $DELIVERYID));
	$view	->	assign('DELIVERYID', $DELIVERYID);
	$view	->	assign('CONTACTNAME', $__LANG->get('contactname'));
	$view	->	assign('COUNTRY', $__LANG->get('country'));
	$view	->	assign('CITY', $__LANG->get('city'));
	$view	->	assign('ZIP', $__LANG->get('zip'));
	$view	->	assign('STREET', $__LANG->get('street'));
	$view	->	assign('DATE_OF_CREATION', $__LANG->get('date_of_creation'));
	$view	->	assign('ANNOTATION', $__LANG->get('annotation'));
	$view	->	assign('COLUMNDELETE', $__LANG->get('deleteshort'));
	$view	->	assign('COLUMNNUMBER', $__LANG->get('personIDlong'));
	$view	->	assign('COLUMNCODE', $__LANG->get('columnname_code'));
	$view	->	assign('COLUMNNAME', $__LANG->get('columnname_name'));
	$view	->	assign('COLUMNQUANTITY', $__LANG->get('columnname_quantity'));
	$view	->	assign('COLUMNUNIT', $__LANG->get('columnname_unit'));
	$view	->	assign('COMMENT', $__LANG->get('comment'));
	$view	->	assign('WRITE', $__LANG->get('write'));
	$view	->	assign('RESET', $__LANG->get('reset'));
	$view	->	assign('BACKTO', $_SESSION['FROM']);
	$view	->	assign('CANCEL', $__LANG->get('cancel'));

	# form data

	$view	->	assign('DATA', $DELIVERYDATA); unset($DELIVERYDATA);

	$view	->	display();

?>
