<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 5.0.0
	 */

	/**
	 * eBag stock operating suplies details
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	
	pagepermission('operating_suplies', 'r');

	load_c('SQL');

	$__SQL	= new SQL();

	load_m('suplieread');

	$__SUPLIE	=	new SUPLIEREAD();

	$SUPLIEDATA	=	$__SUPLIE->read($_GET['id']);

	unset($__SQL, $__SUPLIE);

	if (! $SUPLIEDATA)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', $_SESSION['FROM']);
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('cannotread'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('operatingsupliedetails');

	$view	->	assign('SELF', backward());
	$view	->	assign('OPERATINGSUPLIEDETAILS', $__LANG->get('operatingsupliedetails', $_GET['id']));
	$view	->	assign('CODE', $__LANG->get('code'));
	$view	->	assign('SUPLIENAME', $__LANG->get('supliename'));
	$view	->	assign('DIMENSIONS', $__LANG->get('dimensions'));
	$view	->	assign('UNIT', $__LANG->get('unit'));
	$view	->	assign('PURCHASEPRICE', $__LANG->get('purchase_price'));
	$view	->	assign('QUANTITY', $__LANG->get('quantity'));
	$view	->	assign('QUANTITY_IN_PRODUCTION', $__LANG->get('quantity_in_production'));
	$view	->	assign('CURRENCY', $__CONF->get('payments', 'valuta'));
	$view	->	assign('COMMENT', $__LANG->get('comment'));
	$view	->	assign('USAGE', $__LANG->get('usage'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));

	/**
	 * Form values
	 */

	$view	->	assign('DATA', $SUPLIEDATA); unset($SUPLIEDATA);
	$view	->	assign('BACKTO', $_SESSION['FROM']);
	$view	->	assign('ID', $_GET['id']);

	$view	->	display();
?>
