<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 5.0.0
	 */

	/**
	 * eBag payment details
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	 
	pagepermission('payments', 'r');

	load_c('SQL');

	$__SQL	= new SQL();

	load_m('paymentdetails');

	$__PAYMENT	=	new PAYMENTDETAILS();

	$PAYMENTDATA	=	$__PAYMENT->read($_GET['id']);

	unset($__PAYMENT, $__SQL);

	if (! $PAYMENTDATA)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', backward());
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('unexistentpayment'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('paymentdetails');

	$view	->	assign('SELF', backward());
	$view	->	assign('PAYMENTDETAILS', $__LANG->get('paymentdetails', $_GET['id']));
	$view	->	assign('CUSTOMER', $__LANG->get('customer'));
	$view	->	assign('CITY', $__LANG->get('city'));
	$view	->	assign('PAYMENTID', $__LANG->get('paymentID'));
	$view	->	assign('DATE', $__LANG->get('date'));
	$view	->	assign('SUM', $__LANG->get('sum').' ('.$__CONF->get('payments', 'currency').') ');
	$view	->	assign('BANK', $__LANG->get('bank'));
	$view	->	assign('ACCOUNT', $__LANG->get('account'));
	$view	->	assign('COMMENT', $__LANG->get('comment'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', $_SESSION['FROM']);

	$view	->	assign('DATA', $PAYMENTDATA); unset($PAYMENTDATA);

	$view	->	display();

?>
