<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 5.0.0
	 */

	/**
	 * eBag phase details table for production order called from details only
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	
	load_c('SQL');

	$__SQL = new SQL();

	load_m('phasedetails');	

	$__PHASE	=	new PHASEDETAILS();

	$YEAR		=	'';

	if (isset($_GET['year']))	{

		$__PHASE->base('ebagdata'.$_GET['year']);
	
		$YEAR	=	'&amp;'.$_GET['year'];
	}

	$PHASEDATA	=	$__PHASE->read($_GET['id']);

	unset($__PHASE, $__SQL);

	load_f('mb_wrap');
 
	$view	=	new View('productionphasedetails');
	
	$view	->	assign('SELF', backward());
	$view	->	assign('PRODUCTION_PHASES_DETAILS', $__LANG->get('productionphasedetails', $_GET['id'].'/'.$PHASEDATA['productionorder_year']));
	$view	->	assign('PRODUCTIONORDERID', $_GET['id']);
	$view	->	assign('CODE', $__LANG->get('code'));
	$view	->	assign('ARTICALNAME', $__LANG->get('articalname'));
	$view	->	assign('CUSTOMER', $__LANG->get('customer'));
	$view	->	assign('DRAWING_NUMBER', $__LANG->get('drawingnumber'));
	$view	->	assign('COLUMNPHASE', $__LANG->get('production_phase'));
	$view	->	assign('COLUMNDATE', $__LANG->get('columnfinishdate'));
	$view	->	assign('COLUMNPROCESSTIME', mb_wrap($__LANG->get('process_time'), 7, '<br>'));
	$view	->	assign('COLUMNFINISHER', $__LANG->get('finisher'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('BACKTO', 'loader.php?cat=productionorderdetails&amp;id='.$_GET['id'].$YEAR);

	# form data

	$view	->	assign('DATA', $PHASEDATA);

	$view	->	display();



?>
