<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag service change by number & code
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('services', 'w');

	if (! isset($_POST['submit']))	{

		$_SESSION['FROM'] = backward();

		$view	=	new View('stockselector');

		$view 	->	assign('SELF', backward());
		$view 	->	assign('SELECTLABEL', $__LANG->get('serviceselect'));
		$view 	->	assign('SELECTEDID', $__LANG->get('servicebynumber'));
		$view 	->	assign('SELECTEDCODE', $__LANG->get('servicebycode'));
		$view	->	assign('BACKTO', 'loader.php?cat=section&amp;id=services');

		$view 	->	assign('OK', $__LANG->get('ok'));
		$view 	->	assign('RESET', $__LANG->get('reset'));
		$view 	->	assign('CANCEL', $__LANG->get('cancel'));

		$view	->	display();

		exit;
	}

	load_c('SQL');

	$__SQL	=	new SQL();

	$ID	= $_POST['id'];
	$CODE	= $_POST['code'];
	$TABLE	= 'ebagstock.services';

	load_m('idsearch');

	$search= new IDSEARCH();

	if ((! is_empty($ID)) && (! is_empty($CODE)))	{

		if ($ID != $search->bycode($TABLE, $CODE)) $ID = FALSE;

	}	else	   {

		if (! is_empty($ID))	{

			if (! $search->byID($TABLE, $ID)) $ID = FALSE;
		}

		if (! is_empty($CODE))	$ID = $search->bycode($TABLE, $CODE);
	}
	
	unset($search, $__SQL);

	if (! $ID)	{
			
		$view	=	new View('errorbox');
		$view	->	assign('SELF', backward());
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('servicenotmatch'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	header("location: loader.php?cat=servicechange&id=$ID");
?>
