	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */
	
	/**
	 * 	Prints pdf (force download of pdf document);	
	 */
      
	function _pdfprint(TYPE, IDs, YEAR)	{
	  
		var MONTH;
	  
		if (! IDs)	{

			// Called from print form, 
		  
			var box = document.getElementById("printid");
			
			var IDs	= box.value;
		  
			if ((! IDs) && (TYPE == 'salary'))	{
			  
				var montselector = document.getElementById("printmonth");
				
				var MONTH  = montselector.options[montselector.selectedIndex].value;
				
				var semimontselector = document.getElementById("printsemimonth");
				
				var SEMIMONTH  = semimontselector.options[semimontselector.selectedIndex].value;
			}
		
			box.value = '';
				
			box.focus();
		}
		
		if ((! IDs) && (! MONTH) && (! SEMIMONTH)) return;

		// first create iframe element
		
		if (document.getElementById("downloadframe") == null)	{
		
			var container = document.createElement("div")

			container.innerHTML = '<iframe id="downloadframe" name="downloadframe" style="display:none; visibility: hidden" width="1" height="1" src="" marginwidth="0" marginheight="0" scrolling="No" frameborder="0"></iframe>';

			document.body.appendChild(container);
		}
		
		// then open the file in it
	  
		var FRAME	=	document.getElementById("downloadframe");
		
		if (IDs)	{
		  
			var URL = 'pdfprint.php?cat=' + TYPE + '&id=' + IDs;
			
			if (YEAR) URL += '&year=' + YEAR;

			FRAME.src = URL;
			
			return;
		}  

		if (MONTH)   {

		 	FRAME.src = 'pdfprint.php?cat=' + TYPE + '&month=' + MONTH;
			
			return;
		}
		
		if (SEMIMONTH)   {

		 	FRAME.src = 'pdfprint.php?cat=' + TYPE + '&semimonth=' + SEMIMONTH;
			
			return;
		}

	}