	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * Request for code & unit
	 */

	function typesearch(field, table)	{
	  
		var fieldnames	=	["name", "unit", "quantity", "price", "tax", "type"];
		
		var count	=	fieldnames.length;
		
		var Fields	=	[];
		
		var xmltag, i;

		var xmlHttp	=	createXmlHttpRequestObject();

		xmlHttp.onreadystatechange=function()	{

			if (xmlHttp.readyState==4 && xmlHttp.status==200)	{

				if (xmlHttp.responseText)	{
				  
					if ((xmlHttp.responseXML == null) || (typeof xmlHttp.responseXML == 'undefined')) return;
	
					var xmldoc = xmlHttp.responseXML;
					
					for (i=0; i<count; i++) {
					  
						if (fieldnames[i] == 'quantity') continue;
						
						xmltag = xmldoc.getElementsByTagName(fieldnames[i]);
						
						if ((Fields[i] != null) && (xmltag[0].childNodes[0] != null) && (typeof xmltag[0].childNodes[0] != 'undefined')) {

							  Fields[i].value = xmltag[0].childNodes[0].nodeValue;
						}
					}
					
					if (Fields[2] != null) Fields[2].focus();

				}	else	   {

					for (i=0; i<count; i++) {
					  
						if (Fields[i] != null) Fields[i].value = '';
					}

					field.value = '';
					field.focus();
				}
	    		}
	  	}
	
		var code     =	field.value;
		var elements =	field.id.split('_');
		
		for (i=0; i<count; i++) {
		  
			Fields[i] = document.getElementById(fieldnames[i] + '_' + elements[1]);
		}
		
		if (! code)	{
		  
			for (i=0; i<count; i++) {
			  
				if (fieldnames[i] == 'quantity') continue;
			  
				if (Fields[i] != null) Fields[i].value = '';
			}

			Fields[0].focus();
			
			return;
		}

		var link = '../requests/code2name.php?table=' + table + '&code=' + encodeURIComponent(code) + '&nc=' + (new Date().getTime()).toString();

		xmlHttp.open('GET', link, true);

		xmlHttp.send();
	}



