<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag read permissions
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class PERMISSIONREAD	{

		function __construct()	{

			global $__SQL;

			$this->SQL	= 	&$__SQL;
			$this->BASE	=	'ebag';
		}

		# Converts stored permissions to $_POST variables

		private function decode($ENCODED)	{

			$DECODED	=	array();
			$SEPARATED	=	explode('/', $ENCODED);

			foreach ($SEPARATED as $PERMISSION)	{

				if (! $PERMISSION) continue;

				list ($key, $value)	=	explode('=', $PERMISSION);

				switch ($value)	{

					case(1)	:	$CHECKBOX	=	$key.'_read';
							break;

					case(2)	:	$CHECKBOX	=	$key.'_write';
							break;

					default	:	$CHECKBOX	=	$key.'_noaccess';
				}

				$DECODED[$CHECKBOX] = 'on';
			}

			return $DECODED;
		}

		public function read($USERID)	{

			$PERMISSION	=	FALSE;

			$USERID	=	$this->SQL->escape($USERID);

			$this->SQL->query("	SELECT `permission` 
						FROM $this->BASE.users 
						WHERE `personID`='$USERID' LIMIT 1	");

			if ($this->SQL->num_rows())	{

				$RESULT		=	$this->SQL->RESULT->fetch_row();
				$PERMISSION_ENC	=	$RESULT[0];
				$PERMISSION	=	$this->decode($PERMISSION_ENC);
			}
			return $PERMISSION;
		}
	}
?>
