<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag read default data for production order close
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class PRODUCTIONCLOSEDEFAULT	{

		function __construct()	{

			global $__SQL, $__CONF;

			$this->SQL		=	&$__SQL;

			$this->BASE		=	$_SESSION['BASE'];

			$this->SQLFORMAT	=	$__CONF->get('date', 'sql_format');

			$this->PHPFORMAT	=	$__CONF->get('date', 'dateformat');
		}

		public function read($ID)	{

			$ID	=	$this->SQL->escape($ID);

			$DATA	=	FALSE;

			$this->SQL->query("	SELECT `code`, `articalname`, `contactname`, `quantity`, `defective_quantity`,
						DATE_FORMAT(`date_of_creation`, '$this->SQLFORMAT') AS `date_of_creation`,
						DATE_FORMAT(`date_of_finishing`, '$this->SQLFORMAT') AS `date_of_finishing`
						FROM $this->BASE.production_orders_header
						WHERE `personID`='$ID' AND `deleted` IS NOT NULL LIMIT 1	");

			if ($this->SQL->num_rows()) 	{

				$DATA	=	$this->SQL->RESULT->fetch_assoc();

				$DATA['productionorderID']	=	$ID;

				if (! $DATA['date_of_finishing'])	$DATA['date_of_finishing']	=	date("$this->PHPFORMAT");

				if (! $DATA['defective_quantity'])	$DATA['defective_quantity']	=	0;
			}

			return $DATA;
		}
	}

?>
