<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag years read for administration
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class YEARLIST		{

		function __construct()	{

			global $__SQL, $__LANG;

			$this->SQL	=	&$__SQL;

			$this->OPENED_STR	=	$__LANG->get('opened');

			$this->CLOSED_STR	=	$__LANG->get('closed');
		}

		public function getlist()	{

			$DATA	=	FALSE;

			$this->SQL->query("	SELECT *
						FROM ebag.years		");

			if ($this->SQL->num_rows())	{

				while ($RESULT = $this->SQL->RESULT->fetch_assoc())	{

					$DATA[$RESULT['year']] = $RESULT['year'];

					if ($RESULT['closed'])  {$ADD =  $this->CLOSED_STR;} else {$ADD = $this->OPENED_STR;}

					$DATA[$RESULT['year']] .= " -> $ADD";
				}
			}

			return $DATA;
		}
	}	
