<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag read chat messages accessed by xmlHttprequest
	 */

	if (! isset($_GET['auth'])) exit;
	
	ob_start('ob_gzhandler');

	define('CHATFILE', '../tmp/chat.tmp');

	$HANDLER	=	@fopen(CHATFILE, 'r');

	if ($HANDLER === FALSE) exit;

	$inc = 0;

	while (! flock($HANDLER, LOCK_SH))	{

		$inc++; usleep(500);

		if ($inc > 100000)	{

			fclose($HANDLER); 
			exit;
		}
	}

	header('Expires: Sun, 10 Jan 2010 12:00:00 GMT');
	header('Last-Modified: '.@gmdate('D, d M Y H:i:s').' GMT');
	header('Cache-Control: no-cache, no-store, must-revalidate');
	header('Pragma: no-cache');
	header('Content-Type: text/plain');
	
	ob_start();

	while (! feof($HANDLER))	{

		echo fread($HANDLER, 4096);
	}

	ob_end_flush();

	flock($HANDLER, LOCK_UN);

	fclose($HANDLER);

?>
