<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" CONTENT="text/html; charset=utf-8">
 		<meta name="robots" content="noindex,nofollow">

		<title>eBag</title>

		<link href="../css/<?php echo TEXT_DIRECTION; ?>/default.css?ver=<?php echo VERSION_NUMBER; ?>" rel="stylesheet" type="text/css">

		<script type="text/javascript" src="../js/essentials.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
		<script type="text/javascript" src="../js/pdfprint.js?ver=<?php echo VERSION_NUMBER; ?>"></script>
	</head>

	<body>

		<table id="container">
			<tr>
				<td>
					<div class="border"><div class="padding-form">

						<form action="<?php echo $SELF; ?>" id="main" name="main" method="post">

							<table class="form">

								<tr>
									<td class="formlabel" colspan="2">
										<?php echo $PRODUCTION_ORDER_DETAILS; ?>
									</td>
								</tr>

								<tr class="separator"><td colspan="2"></td></tr>

								<tr>
									<td class="formtop-left">

										<!-- header left side -->

										<table class="form">
											<tr>
												<td>
													<?php echo $CODE; ?>
												</td>
												<td class="formright">
													<input name="articalcode" readonly class="formbox" value="<?php echo $DATA['articalcode']; ?>">
												</td>
											</tr>
				
											<tr>
												<td>
													<?php echo $ARTICALNAME; ?>
												</td>
												<td class="formright">
													<input name="articalname" readonly class="formbox" value="<?php echo $DATA['articalname']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $CONNECTED_WITH_ORDER; ?>
												</td>
												<td class="formright">
													<input name="orderID" readonly class="formbox" value="<?php echo $DATA['orderID']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $QUANTITY; ?>
												</td>
												<td class="formright">
													<input name="articalquantity" readonly class="formbox" value="<?php echo $DATA['articalquantity']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $CUSTOMER; ?>
												</td>
												<td class="formright">
													<input name="contactname" readonly class="formbox" value="<?php echo $DATA['contactname']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $DATE_OF_CREATION; ?>
												</td>
												<td class="formright">
													<input name="date_of_creation" readonly class="formbox" value="<?php echo $DATA['date_of_creation']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $DATE_OF_DEADLINE; ?>
												</td>
												<td class="formright">
													<input name="date_of_deadline" readonly class="formbox" value="<?php echo $DATA['date_of_deadline']; ?>">
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $FINISHED; ?>
												</td>
												<td class="formright">
													<input name="date_of_finishing" readonly class="formbox" value="<?php if ((isset($DATA['date_of_finishing'])) && ($DATA['date_of_finishing'])) {echo $DATA['date_of_finishing'];} else {echo '-';} ?>">
												</td>
											</tr>
										</table>
									</td>

									<td class="formtop-right">

										<!-- header right side -->

										<table class="form" width="100%">

											<tr>
												<td colspan="2">
													<?php echo $TECHNOLOGY; ?>
												</td>
											</tr>

											<tr>
												<td class="formright" colspan="2">
													<textarea name="technology" readonly style="width: 225px; height: 155px" rows="2" cols="30"><?php echo $DATA['technology']; ?></textarea>
												</td>
											</tr>

											<tr>
												<td>
													<?php echo $DRAWING_NUMBER; ?>
												</td>
												<td class="formright">
													<input name="drawingID" class="formbox" value="<?php echo $DATA['drawingID']; ?>">
												</td>
											</tr>

										</table>
									</td>
								</tr>

								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<tr>
									<td height="230" style="vertical-align: top;" colspan="2">

											<div class="columnames">
												<span class="spancolumns-code-extralong"><?php echo $COLUMNCODE; ?></span>
												<span class="spancolumns-name-extralong"><?php echo $COLUMNNAME; ?></span>
												<span class="spancolumns-quantity-long"><?php echo $COLUMNQUANTITY; ?></span>
												<span class="spancolumns-unit-long"><?php echo $COLUMNUNIT; ?></span>
											</div>

											<?php 
												$COUNT		=	1;

												if (isset($DATA['code'])) $COUNT = count($DATA['code']);										

													for ($i=0; $i<$COUNT; $i++)	{

														$code	= $name = $quantity = $unit = $origin = '';

														if (isset($DATA['code'][$i])) 	$code=$DATA['code'][$i];
														if (isset($DATA['name'][$i])) 	$name=$DATA['name'][$i];
														if (isset($DATA['quantity'][$i])) $quantity=$DATA['quantity'][$i];
														if (isset($DATA['unit'][$i])) $unit=$DATA['unit'][$i];
														if (isset($DATA['origin'][$i])) $origin=$DATA['origin'][$i];

													echo	<<<"EOT"
													<div class="onerow">
														<span title="$origin"><input name="code[]" readonly class="code-extralong" value="$code"></span>
														<input name="name[]" readonly class="name-extralong" value="$name">
														<input name="quantity[]" readonly class="quantity-long" value="$quantity">
														<input name="unit[]" readonly class="unit-long" value="$unit">
													</div>
EOT;
											}

											?>

									</td>
								</tr>

								<tr><td class="line" colspan="2"><div class="formline"></div></td></tr>

								<tr>
									<td class="formright" colspan="2">
										<input class="button-small" value="<?php echo $PRINT; ?>" type="button" name="pdfprint" onclick="Javascript: _pdfprint('productionorder','<?php echo $PRODUCTIONORDERID; ?>','<?php if (isset($DATA['productionorder_year'])) echo $DATA['productionorder_year']; ?>');" >
										<input class="button-small" value="<?php echo $PHASE; ?>" type="button" name="phases" onclick="Javascript: location.href='<?php echo $PHASEDETAILSLINK; ?>'">
										<input class="button-small" value="<?php echo $CANCEL; ?>" type="button" name="cancel" onclick="Javascript: location.href='<?php echo $BACKTO; ?>'">
									</td>
								</tr>
							</table>

						</form>
					</div></div>
				</td>
			</tr>
		</table>

	<script type="text/javascript">document.main.cancel.focus();</script>

	</body>

</html>

