<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag artical search
	 */

	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	 
	pagepermission('stock', 'r');

	# Delete previous search data

	if (isset($_GET['new']))	{

		$_SESSION['LISTPAGE']	=	0;

		if (isset($_SESSION['COMMAND'])) unset($_SESSION['COMMAND'], $_SESSION['LIMIT']);

		unset($_GET['new']);
	}

	# Display founds

	if (	(isset($_POST['submit'])) or 
		(isset($_SESSION['COMMAND']))	)		{

			unset($_POST['submit']);

			load_c('SQL');

			$__SQL	= new SQL();

			load_c('SEARCH');

			$search		=	new SEARCH('ebagstock.finished_goods_stock', $_GET['cat'], 'articaldetails', 'articalchange', 'articaldelete', PAGEINCREMENT, $_SESSION['list_limit']);
			$COLUMNS	=	array ('personID', 'code', 'articalname', 'dimensions', 'quantity', 'quantity_ordered', 'quantity_ordered_to_stock', 'quantity_in_production', 'price', 'tax', 'price_with_tax');
			$search		->	column($COLUMNS);

			if (! isset($_POST)) $_POST=array();

			if ($search->addsearch($_POST)); unset($_POST);

			$_SESSION['FROM']	=	backward();

			if ($search->create())	{

				$HTMLTABLE	=	&$search->TABLE;

				$view	=	new View('tablesearch');
				$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $table, $__SQL);
				$view 	->	assign('SELF', backward());
				$view 	->	assign('FOCUS', 'NEW');
				$view	->	display();
				exit;
			}

			$view	=	new View('errorbox');
			$view	->	assign('SELF', backward());
			$view	->	assign('ERROR', $__LANG->get('error'));
			$view	->	assign('ERRTXT', $__LANG->get('nothingtosearch'));
			$view	->	assign('BACK', $__LANG->get('back'));
			$view	->	display();
			exit;
	}

	# display the search form

	$view		=	new View('articalsearch');
	
	$view 	->	cache();

	$view	->	assign('SELF', backward());
	$view	->	assign('ARTICALSEARCH', $__LANG->get('articalsearch'));
	$view	->	assign('PERSONID', $__LANG->get('personID'));
	$view	->	assign('CODE', $__LANG->get('code'));
	$view	->	assign('ARTICALNAME', $__LANG->get('articalname'));
	$view	->	assign('DIMENSIONS', $__LANG->get('dimensions'));
	$view	->	assign('QUANTITY', $__LANG->get('quantity'));
	$view	->	assign('QUANTITYORDERED', $__LANG->get('quantity_ordered'));
	$view	->	assign('QUANTITYORDEREDTOSTOCK', $__LANG->get('quantity_ordered_to_stock'));
	$view	->	assign('QUANTITYINPRODUCTION', $__LANG->get('quantity_in_production'));
	$view	->	assign('PRICE', $__LANG->get('price'));
	$view	->	assign('TAX', $__LANG->get('tax'));
	$view	->	assign('DISCOUNTPRICE', $__LANG->get('discount_price'));
	$view	->	assign('PURCHASEPRICE', $__LANG->get('purchase_price'));
	$view	->	assign('SUPPLIER', $__LANG->get('supplier'));
	$view	->	assign('SUPPLIERID', $__LANG->get('supplierID'));
	$view	->	assign('ORIGIN', $__LANG->get('origin'));
	
	$ELEMENTS	=	array ('!=0'=>'!=0', '=0'=>'=0', '<0'=>'&lt;0', '<10'=>'&lt;10', '<50'=>'&lt;50', '<100'=>'&lt;100', '<500'=>'&lt;500', '<1000'=>'&lt;1000');

	$view	->	assign('ELEMENT', $ELEMENTS);

	# origin is connected with contact types
	#type2=>Dealer, type3=>Importer (origin1=>Product)

	$view	->	assign('ORIGINS', array(1=>$__LANG->get('origin1'), 2=>$__LANG->get('origin2'), 3=>$__LANG->get('origin3')));

	$view	->	assign('SEARCH', $__LANG->get('search'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));
	$view	->	assign('RESET', $__LANG->get('reset'));

	$view	->	display();

?>
