<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag calculator
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}
	
	$cache_file = '../tmp/c_view_calculator.tmp';
	
	if (is_readable($cache_file)) {include($cache_file); exit;}
	
	load_f('loadlanguage');
	
	$signs = loadlanguage('calculator', $__CONF->get('language', 'lang'));
	
	$view = new View('calculator');
	
	$view->assign('SELF', backward());
	
	foreach ($signs as $key=>$val) $view->assign($key, $val);
	
	$content = $view->process();
	
	echo $content;
	
	@file_put_contents($cache_file, $content);

?>
