<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag company details
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('addressbook', 'r');

	load_c('SQL');

	$__SQL	= new SQL();

	load_m('companydataread');

	$__COMPANYDATA = new COMPANYDATAREAD();

	$ID = $__COMPANYDATA->getlastid();

	if (! $ID)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', 'loader.php?cat=section&amp;id=addressbook');
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get('nocompanydata'));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$DATA = $__COMPANYDATA->read($ID);
	
	load_f('http_href');
	
	$DATA['website_href'] = http_href($DATA['website']);

	unset($__COMPANYDATA, $__SQL);

	$view = new View('companydetails');
	
	$view 	->	cache();

	$view	->	assign('SELF', backward());
	$view	->	assign('COMPANYDETAILS', $__LANG->get('companydetails'));
	$view	->	assign('NAME', $__LANG->get('contactname'));
	$view	->	assign('COUNTRY', $__LANG->get('country'));
	$view	->	assign('CITY', $__LANG->get('city'));
	$view	->	assign('ZIP', $__LANG->get('zip'));
	$view	->	assign('STREET', $__LANG->get('street'));
	$view	->	assign('TELEPHONE1', $__LANG->get('telephone1'));
	$view	->	assign('TELEPHONE2', $__LANG->get('telephone2'));
	$view	->	assign('ACCOUNT1', $__LANG->get('account1'));
	$view	->	assign('ACCOUNT2', $__LANG->get('account2'));
	$view	->	assign('BANK1', $__LANG->get('bank1'));
	$view	->	assign('BANK2', $__LANG->get('bank2'));
	$view	->	assign('FAX', $__LANG->get('fax'));
	$view	->	assign('MAIL', $__LANG->get('mail'));
	$view	->	assign('WEBSITE', $__LANG->get('website'));
	$view	->	assign('TAXIDNO', $__LANG->get('taxidno'));
	$view	->	assign('TAXIDNO', $__LANG->get('taxidno'));
	$view	->	assign('REGISTRATIONNUMBER', $__LANG->get('registrationnumber'));
	$view	->	assign('COMPANYNUMBER', $__LANG->get('companynumber'));
	$view	->	assign('BUSINESSACTIVITYCODE', $__LANG->get('businessactivitycode'));
	$view	->	assign('CREATENEW', $__LANG->get('createnewcomp'));
	$view	->	assign('CHANGEEXISTS', $__LANG->get('changeexistscomp'));
	$view	->	assign('CANCEL', $__LANG->get('cancel'));

	if (! isset($DATA)) 	$DATA = array();

	$view	->	assign('DATA', $DATA); unset($DATA);

	$view	->	display();

?>
