<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 5.0.0
	 */

	/**	
	 * eBag contact quick search 
	 */

	# note: the frames not checks for permission the parent will
	#	depending of js can be used in stock & inputs (service, offer etc.) to		
	
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	load_c('SQL');

	$__SQL	= new SQL();

	if (isset($_GET['js']) && ($_GET['js']!='copy2list'))	{

		$JS 	= $_GET['js'];

		# list dealers and importers

		$TYPES	=	"(`contacttype`='2' OR `contacttype`='3')";

	}	else	{

		$JS = 'copy2list';

		# list buyers and companies

		$TYPES	=	"(`contacttype`='0' OR `contacttype`='1')";
	}

	load_c('CONTACTQUICKSEARCH');

	# js is javascript function name which will be executed onclick

	$search	=	new CONTACTQUICKSEARCH($JS, $TYPES);

	$view	=	new View('contactquicksearch');
	
	$view	->	assign('SEARCHTABLE', $search->TABLE);
	$view	->	assign('PAGINATION', $search->PAGINATION);

	unset($search, $__SQL);

	$view	->	assign('SELF', backward());
	$view	->	assign('JSFUNCTION', $JS);
	$view	->	assign('CONTACTNAME', $__LANG->get('contactname'));
	$view	->	assign('CITY', $__LANG->get('city'));
	$view	->	assign('SEARCH', $__LANG->get('search'));
	$view	->	assign('ALL', $__LANG->get('all'));

	$view	->	display();

?>
