<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag list of requested feedstocks connected with service lists
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('service_lists', 'r');

	load_c('SQL');

	$__SQL	= new SQL();

	load_c('TABLE');

	# set the base

	$table	=	new TABLE($_SESSION['BASE'].'.feedstock_requests', 'feedrequestdetails', '', 'feedrequestdelete', PAGEINCREMENT, $_SESSION['list_limit']);

	$table	->	column('personID');
	$table	->	column('requestID', 'box');
	$table	->	column('reversID', 'box');
	$table	->	column('date_of_creation', 'date');
	$table	->	column('code', 'box');
	$table	->	column('feedstockname', 'box');
	$table	->	column('unit', 'static');
	$table	->	column('quantity', 'numeric');

	$table	->	create();

	$HTMLTABLE	=	&$table->TABLE;

	$_SESSION['FROM'] = backward();

	if (isset($_GET['customerID'])) $_SESSION['FROM'] .= '&amp;customerID='.$_GET['customerID'];

	$view	=	new View('tablelist');
	$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $table, $__SQL);
	$view 	->	assign('FOCUS', 'requestID');
	$view 	->	assign('SELF', backward());
	$view	->	display();

?>
