<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag yearly realization
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('payments', 'r');

	load_c('SQL');

	$__SQL	= new SQL();

	load_c('REALIZATION');

	$__REALIZATION = new REALIZATION();

	$RESULT = $__REALIZATION->create();

	$TABLE	= &$__REALIZATION->TABLE;

	$LABEL	= &$__REALIZATION->LABEL;

	if ($RESULT !== TRUE)	{

		$view	=	new View('errorbox');
		$view	->	assign('SELF', 'loader.php?cat=section&amp;id=payments');
		$view	->	assign('ERROR', $__LANG->get('error'));
		$view	->	assign('ERRTXT', $__LANG->get($RESULT));
		$view	->	assign('BACK', $__LANG->get('back'));
		$view	->	display();
		exit;
	}

	$view	=	new View('realization');

	$view	->	assign('TABLE', $TABLE);
	$view	->	assign('LABEL', $LABEL);
	
	unset($TABLE, $__REALIZATION, $__SQL);

	$view	->	display();

?>

	

