<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag salarys list
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	pagepermission('salarys', 'r');

	load_c('SQL');

	$__SQL	= new SQL();

	load_c('TABLE');

	# set the base

	$table	=	new TABLE($_SESSION['BASE'].'.salarys', 'salarydetails', '', 'salarydelete', PAGEINCREMENT, $_SESSION['list_limit']);

	$table	->	column('personID');
	$table	->	column('employeename', 'box');
	$table	->	column('month', 'static');
	$table	->	column('month_part', 'static');
	$table	->	column('date_of_creation', 'date');
	$table	->	column('fix_payment', 'none');
	$table	->	column('working_hour_value', 'none');
	$table	->	column('E_bonus_production', 'none');
	$table	->	column('E_bonus_services', 'none');
	$table	->	column('E_bonus_product_sell', 'none');
	$table	->	column('E_bonus_service_sell', 'none');
	$table	->	column('E_payment', 'none');

	$table	->	create();

	$HTMLTABLE	=	&$table->TABLE;

	$_SESSION['FROM'] = backward();

	$view	=	new View('tablelist');
	$view 	->	assign('HTMLTABLE', $HTMLTABLE); unset($HTMLTABLE, $table, $__SQL);
	$view 	->	assign('FOCUS', 'employeename');
	$view 	->	assign('SELF', backward());
	$view	->	display();

?>
