	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag returns absolute coordinates of mouse pointer
	 */
	
	function mouseCoords(event)	{
	  
		var x = event.screenX;
		
		var y = event.screenY;
		
		var dpxr = window.devicePixelRatio;
		
		if ((typeof dpxr == 'number') && (dpxr != 1))	{
		
			 x = Math.round(x/dpxr);
		
			 y = Math.round(y/dpxr);
		}
		
		return {x: x, y: y}
	}