<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 3.0.2
	 */

	/**
	 * eBag reads opened reverses which contains services with feedstock request
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class REVERSWITHREQUESTREAD	{

		function __construct()	{

			global $__SQL;

			$this->SQL		=	&$__SQL;
			$this->BASE		=	$_SESSION['BASE'];
			$this->STOCKBASE	=	'ebagstock';
		}

		public function idread()	{

			$DATA	=	FALSE;

			$this->SQL->query("	SELECT `personID`	FROM $this->BASE.services_header
									WHERE `date_of_finishing` IS NULL AND `deleted` IS NOT NULL
		  							AND `personID` NOT IN
									(SELECT `reversID` FROM $this->BASE.feedstock_requests WHERE `deleted` IS NOT NULL GROUP BY `reversID`)
		  							AND `personID` IN 
									(SELECT `reversID` FROM $this->BASE.services_data WHERE `deleted` IS NOT NULL AND `code` IN
		  							(SELECT `code` FROM $this->STOCKBASE.services WHERE `personID` IN
									(SELECT `serviceID` FROM $this->STOCKBASE.feedstock_requests_list WHERE `deleted` IS NOT NULL)) GROUP BY `reversID`)" );

			if ($this->SQL->num_rows())	{

				$DATA	=	array();

				while	($RESULT = $this->SQL->RESULT->fetch_assoc()) $DATA[] = $RESULT['personID'];
			}

			return $DATA;
		}
	}

?>
