<?php
	/**
	 *	eBag
	 *
	 *	Open source company administration manager
	 *
	 *	@package	eBag
	 *	@author		Eper Kalman
	 *	@copyright	Copyright (c) 2012-2015, Eper Kalman
	 *	@license	GNU Affero General Public License Version 3 (http://www.gnu.org/licenses/agpl-3.0.html)
	 *	@since		Version 6.0.0
	 */

	/**
	 * eBag salary personal settings & credits reader
	 */
	 
	if (! defined('eBag'))	{
	
	      include('../views/logout.php'); 
	      
	      exit();
	}

	class PERSONALSALARYSETTINGSREAD	{

		function __construct()	{

			global $__SQL;

			$this->SQL	=	&$__SQL;
	
			$this->BASE	=	$_SESSION['BASE'];
		}

		public function read($ID, $NAME)	{

			$ID	=	$this->SQL->escape($ID);

			$DATA	=	array();

			$this->SQL->query("	SELECT `value`
						FROM $this->BASE.salarys_personal_data
						WHERE `employeeID`='$ID' LIMIT 1	");

			if ($this->SQL->num_rows())	{

				$RESULT	=	$this->SQL->RESULT->fetch_row();
				$DATA	=	unserialize($RESULT[0]);
			}

			if (! isset($DATA['additional_name'][0]))	{

				$DATA['additional_name'][0] = $DATA['additional_value'][0] = '';
				$DATA['additional_base'][0] ='s';
				$DATA['additional_type'][0] ='f';
			}
			
			if (! isset($DATA['credit_name'][0]))	{

				$DATA['credit_name'][0] = $DATA['credit_value'][0] = '';
			}
			
			# set values in input boxes near selects
			
			foreach(array('bonus_to_production', 'bonus_to_services', 'bonus_to_product_sell', 'bonus_to_service_sell') as $bonus_type)	{
			
				if (! isset($DATA[$bonus_type])) continue;
			
				if ($DATA[$bonus_type] == 1) $DATA[$bonus_type.'_value'] = $DATA[str_replace('bonus_to', 'bonus_fix', $bonus_type)];
				
				if ($DATA[$bonus_type] == 2) $DATA[$bonus_type.'_value'] = $DATA[str_replace('bonus_to', 'bonus_percent', $bonus_type)];
			}

			$DATA['employeeID']	=	$ID;
			$DATA['employeename']	=	$NAME;

			return $DATA;
		}
	}

?>
